Uploadsv1Files
Patch file metadata
Partially update upload metadata (e.g. document_type only)
PATCH
/v1/uploads/{id}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/uploads/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "document_type": "bylaws" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"file_name": "string",
"document_type": "bylaws",
"approval_status": "pending",
"approval_needed": 0.1,
"approval_made": 0.1,
"signature_status": "pending",
"signature_needed": 0.1,
"signature_made": 0.1,
"content_length": 0,
"file_extension": "string",
"active": true,
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4"
}{
"code": "uploads.invalid_file_extension",
"message": "Invalid file extension"
}{
"code": "uploads.unauthorized",
"message": "Unauthorized"
}{
"code": "uploads.record_not_found",
"message": "Record not found"
}